Subject: NEW ROUND OF INS LAD INTERVIEW STARTED / UNGENT HELP NEEDED

From: [email-masked]
Date: Tue, 28 Jun 94 23:11:27 CDT

Hi, Dear Fellows:

I present this message to the net to get some advice from you.
	
I came to the U.S. with J-1, and have gotten the green card under
the CSPA last October. My wife came to the U.S. in December, 1990, also
with a J-1 visa.

I changed my J-1 to H-1 under the executive order issued by
the President Bush in 1991 and got the two year waiver. At the same time
INS processed my wife's J-1 visa to H-4. Then her visa has been changed
from H-4 to H-1 two months later. The implication has been that we both
got the waiver.

She applied the green card as LAD last summer. Everything has been
processed very smoothly until today's interview with the INS examiner 
officer in local INS.

The officer told us that my wife's case could not be approved
because she should have gotten the waiver of her two-years foreign residence 
requirement first, and the granting of her H-4 and H-1 visa was a mistake.

There is a potential of denying for her case, and we will be in big
trouble if this happens.

We appreciate any helpful information and advice from you about such 
kind of case.
	
Please offer your help to the net or send email to me at 
        "[email-masked]"

        Thank you for your help.

R.  Li
University of Rochester